This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ListQuickQueryImages

1 - 1.2

get /v1/quick-query/image-versions

Description

get quick query image versions

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/quick-query/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

2 - 1.1

get /v1/quick-query/image-versions

Description

get quick query image versions

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260930

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/quick-query/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

3 - 1.0

get /v1/quick-query/image-versions

Description

get quick query image versions

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Responses

HTTP CodeDescriptionSchema
200OKImageVersionsResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/quick-query/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quick-query 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_attr": {
                "k8s.version": "",
                "os.type": ""
            },
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}